<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  
  <xs:simpleType name="ARP_ValidVLANID">
    <xs:restriction base="xs:unsignedInt">
      <xs:minInclusive value="1"/>
      <xs:maxInclusive value="4094"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ARP_InValidVLANID">
    <xs:restriction base="xs:unsignedInt">
      <xs:enumeration value="65535"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ARP_VLANID">
    <xs:union memberTypes="ARP_ValidVLANID ARP_InValidVLANID"/>
  </xs:simpleType>
  
  <xs:simpleType name="ARP_GraDefInterval">
    <xs:restriction base="xs:unsignedInt">
      <xs:enumeration value="0"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ARP_GraValidInterval">
    <xs:restriction base="xs:unsignedInt">
      <xs:minInclusive value="200"/>
      <xs:maxInclusive value="200000"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ARP_GraInterval">
    <xs:union memberTypes="ARP_GraDefInterval ARP_GraValidInterval"/>
  </xs:simpleType>
  
  <xs:element name="ARP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
 
        <xs:element name="ArpTable" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ArpEntry" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="VLANID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VXLANID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="16777215"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PortIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="VrfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="ArpType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>                        
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                            <xs:enumeration value="4"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpConfig" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Config" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VrfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="VLANID" minOccurs="0" nillable="true">
                        <xs:complexType>
                         <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                       </xs:complexType>
                    </xs:element>
                    <xs:element name="PortIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="ArpType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        <xs:element name="ArpGratuitous" minOccurs="0">
          <xs:complexType>
           <xs:all>
            <xs:element name="LearnEnable" minOccurs="0" type="base:Boolean" nillable="true">
             </xs:element>
             <xs:element name="SendEnable" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
           </xs:all>
           <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpLearnLimit" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="LearnLimit" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="LearnMaxNum" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpGratuitousInterval" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="GratuitousInterval" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Interval" minOccurs="0" type="ARP_GraInterval" nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpSpecification" minOccurs="0">
          <xs:complexType>
           <xs:all>
            <xs:element name="SupportMultiport" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
            <xs:element name="RateLimitLowerLimit" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
            </xs:element>
             <xs:element name="RateLimitDefault" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
             </xs:element>
            <xs:element name="RateLimitUpperLimit" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
            </xs:element>
             <xs:element name="SMACDefaultThreshold" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
             </xs:element>
            <xs:element name="SMACMinThreshold" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
            </xs:element>
            <xs:element name="SMACMaxThreshold" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
            </xs:element>
	          <xs:element name="SupportDetection" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
            <xs:element name="SupportFilter" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
	    <xs:element name="SupportSnooping" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
             <xs:element name="IntervalDefault" minOccurs="0" nillable="true">
               <xs:complexType>
                 <xs:simpleContent>
                   <xs:restriction base="base:UnsignedInteger32">
                     <xs:minInclusive value="200"></xs:minInclusive>
                     <xs:maxInclusive value="200000"></xs:maxInclusive>
                   </xs:restriction>
                 </xs:simpleContent>
               </xs:complexType>
             </xs:element>
             <xs:element name="LearnMaxNumLimit" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
             </xs:element>
             <xs:element name="LearnMaxNumDefault" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
             </xs:element>
             <xs:element name="SupportModeUNI" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
           </xs:all>
           <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpRateLimit" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="RateLimit" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="RateLimitEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>
                    <xs:element name="RateLimitNum" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
	      <xs:element name="ArpProxy" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Proxy" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="ProxyEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element> 
                    <xs:element name="LocalProxyEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>  
                    <xs:element name="LocalStartIpv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
		                <xs:element name="LocalEndIpv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>                                                   
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 

        <xs:element name="ArpAttackProtect" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ResolvingRouteEnable" minOccurs="0" type="base:Boolean" nillable="true">
	            </xs:element> 
              <xs:element name="SourceSuppressionEnable" minOccurs="0" type="base:Boolean" nillable="true">
	            </xs:element> 
              <xs:element name="SourceSuppressionLimitNum" minOccurs="0" nillable="true">
                <xs:complexType>
	          <xs:simpleContent>
	            <xs:restriction base="base:UnsignedInteger32">
	              <xs:minInclusive value="2"></xs:minInclusive>
	              <xs:maxInclusive value="1024"></xs:maxInclusive>
	            </xs:restriction>
	          </xs:simpleContent>
	        </xs:complexType>
              </xs:element>
              <xs:element name="SourceMACDetectType" minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="0"/>
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>  
              <xs:element name="SourceMACAgeTime" minOccurs="0" nillable="true">
                <xs:complexType>
	          <xs:simpleContent>
	            <xs:restriction base="base:UnsignedInteger32">
	              <xs:minInclusive value="60"></xs:minInclusive>
	              <xs:maxInclusive value="6000"></xs:maxInclusive>
	            </xs:restriction>
	          </xs:simpleContent>
	        </xs:complexType>
              </xs:element>  
              <xs:element name="SourceMACThresholdValue" minOccurs="0" nillable="true">
                <xs:complexType>
	          <xs:simpleContent>
	            <xs:restriction base="base:UnsignedInteger32">
	            </xs:restriction>
	          </xs:simpleContent>
	        </xs:complexType>
              </xs:element> 
              <xs:element name="ValidCheckEnable" minOccurs="0" type="base:Boolean" nillable="true">
	           </xs:element>
	           <xs:element name="ActiveACKType" minOccurs="0" nillable="true">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="0"/>
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
	            <xs:element name="DetectionValidateSrcMAC" minOccurs="0" type="base:Boolean" nillable="true">
	            </xs:element>
	            <xs:element name="DetectionValidateDstMAC" minOccurs="0" type="base:Boolean" nillable="true">
	            </xs:element>
	            <xs:element name="DetectionValidateIP" minOccurs="0" type="base:Boolean" nillable="true">
	            </xs:element>    
            </xs:choice>
              <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
	      <xs:element name="ArpSourceMACExclude" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="SourceMACExclude" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>                                                                                       
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 

      	<xs:element name="ArpAuthorized" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Authorized" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="Enable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                    
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        <xs:element name="ArpSourceMACAttackEntry" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Entry" minOccurs="0" maxOccurs="unbounded">
          	     <xs:complexType>
                  <xs:all>
              	    <xs:element minOccurs="0" name="DeviceNode">
                      <xs:complexType>
                        <xs:all>
                  	  <xs:element name="Chassis" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Slot" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="CPUID" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="7"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>        
                    <xs:element name="VLANID" minOccurs="0" type="ARP_VLANID" nillable="true">
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion"  nillable="true">
                    </xs:element>    
                    <xs:element name="AgeTime" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>           
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
           
        <xs:element name="ArpDetection" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Detect" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VLANID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>                     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="DetectionEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element> 
                    <xs:element name="RestrictedForwardingEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                       
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpDetectionTrust" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="TrustEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>             
         
        <xs:element name="ArpFilterSource" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="FilterSource" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>                                                                                       
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>   
        
        <xs:element name="ArpFilterBinding" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="FilterBinding" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>                                                                                          
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

        <xs:element name="ArpRateLimitLog" minOccurs="0">
          <xs:complexType>
           <xs:all>
            <xs:element name="LogEnable" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
            <xs:element name="LogInterval" minOccurs="0" nillable="true">
             <xs:complexType>
	            <xs:simpleContent>
	             <xs:restriction base="base:UnsignedInteger32">
	              <xs:minInclusive value="1"></xs:minInclusive>
	              <xs:maxInclusive value="86400"></xs:maxInclusive>
	             </xs:restriction>
	            </xs:simpleContent>
	           </xs:complexType>
            </xs:element>
           </xs:all>
           <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
	<xs:element name="ArpInterface" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="ModeUNI" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                    
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        

	<xs:element name="ArpSnooping" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Snooping" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VLANID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>                     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SnoopingEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                  
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpSnoopingEntry" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="SnoopingEntry" minOccurs="0" maxOccurs="unbounded">
          	<xs:complexType>
                  <xs:all>
              	    <xs:element minOccurs="0" name="DeviceNode">
                      <xs:complexType>
                        <xs:all>
                  	  <xs:element name="Chassis" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Slot" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="CPUID" minOccurs="0" nillable="true">
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="7"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element> 
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion"  nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>         
                    <xs:element name="VLANID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>                     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="Status" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>     
                    <xs:element name="AgeTime" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>           
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpVsiConfig" minOccurs="0">
          <xs:annotation>
            <xs:documentation>VSI config of ARP</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="VsiConfig" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row Name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VrfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Vrf Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Ipv4 Address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Mac Address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
		    <xs:element name="VsiIfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Vsi-interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PortIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Port Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VsiName" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Index, VSI name</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="31"/>
                          </xs:restriction>
                        </xs:simpleContent>
                     </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpRouteAdvertise" minOccurs="0">
  	  <xs:complexType>
    	    <xs:choice maxOccurs="unbounded">
      	      <xs:element name="RouteAdvertise" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
          	  <xs:all>
            	    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
            	    </xs:element> 
            	    <xs:element name="Enable" minOccurs="0" type="base:Boolean" nillable="true">
            	    </xs:element>                                                                                    
          	  </xs:all>
                </xs:complexType>
      	      </xs:element>
    	    </xs:choice>
    	    <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
  	  </xs:complexType>
	</xs:element>
        
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
